Bug 246169 - games/libretro: update meta with new cores
Summary: games/libretro: update meta with new cores
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-04 08:50 UTC by Daniel Menelkir
Modified: 2020-06-03 18:55 UTC (History)
1 user (show)

See Also:


Attachments
libretro-meta.diff (3.17 KB, patch)
2020-05-04 08:50 UTC, Daniel Menelkir
menelkir: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2020-05-04 08:50:31 UTC
Created attachment 214098 [details]
libretro-meta.diff

Update with new entries. It depends on the commit of the following ports:

bug #246148, bug #246128, bug #246124, bug #246123, bug #246120 and bug #246060
Comment 1 commit-hook freebsd_committer 2020-05-20 05:19:32 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed May 20 05:19:07 UTC 2020
New revision: 535971
URL: https://svnweb.freebsd.org/changeset/ports/535971

Log:
  games/libretro: Add 3 new ports in meta

  Add games/libretro-mu, games/libretro-cap32 and games/libretro-fmsx

  PR:		246169
  Reported by:	menelkir@itroll.org
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24892

Changes:
  head/games/libretro/Makefile
Comment 2 Loïc Bartoletti freebsd_committer 2020-05-20 05:21:16 UTC
Committed with mu, cap32 and fmsx.

Next step : yabause and play
Comment 3 Daniel Menelkir 2020-05-20 09:52:13 UTC
(In reply to Loïc Bartoletti from comment #2)

And fbneo: #246123
Comment 4 Daniel Menelkir 2020-05-27 03:04:16 UTC
Do you think it could be a good idea adding emulators/ppsspp in options, since emulators/ppsspp provides a libretro core?
Comment 5 Daniel Menelkir 2020-05-27 18:41:49 UTC
Also, games/libretro-paralleln64 was just added. Should I make a diff with him or you'll add in the next commit?
Comment 6 commit-hook freebsd_committer 2020-06-03 18:48:47 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed Jun  3 18:48:23 UTC 2020
New revision: 537833
URL: https://svnweb.freebsd.org/changeset/ports/537833

Log:
  games/libretro: add new cores

  Add games/libretro-fbneo, games/libretro-yabause and games/libretro-paralleln64

  PR:		246169
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D25022

Changes:
  head/games/libretro/Makefile
Comment 7 Loïc Bartoletti freebsd_committer 2020-06-03 18:54:57 UTC
Daniel,
For the next ports, can you modify also libretro/Makefile in same bugs please? This will prevent it from being forgotten

Thank you.